using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 文件库人员任命书子表
    /// </summary>
    [Description("文件库人员任命书子表")]
    public class T_OG_POLICY_DOCUMENT_DETAIL_APPOINT_USER : MesEntityBase
    {
        /// <summary>
        /// 文件库ID
        /// </summary>
        [Description("文件库ID")]
        [DataFieldForeignKey("Nav_PolicyDocumentDetail", "Nav_AppointUsers")]
        public Guid POLICY_DOCUMENT_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航属性：文件库
        /// </summary>
        [Description("导航属性：文件库")]
        public T_OG_POLICY_DOCUMENT_DETAIL Nav_PolicyDocumentDetail { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }
        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }
    }
}
